{
  "devDependencies": {
    "@types/jest": "^29.2.5",
    "jest": "^29.3.1",
    "vite": "^6.3.5",
    "vite-plugin-pwa": "^1.0.0"
  },
  "scripts": {
    "test": "jest",
    "dev": "vite",
    "build": "vite build && cp dist/sw.js public/sw.js && rm -rf public/assets && cp -R dist/assets public/ && cp dist/.vite/manifest.json public/.vite/",
    "preview": "vite preview",
    "deploy": "vite build && rm -rf public/assets && cp -R dist/assets public/ && cp dist/.vite/manifest.json public/.vite/"
  }
}
